[package]
name = "bachelorarbeit"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
gauss-quad = "0.1.8"
num = "0.4.2"
egui = "0.27.2"
egui_extras = "0.27.2"
eframe = "0.27.2"
egui_plot = "0.27.2"
indicatif = "0.17.8"
nohash-hasher = "0.2.0"
ahash = "0.8.11"
ray = "0.2.0"
rayon = "1.10.0"
scc = "2.1.6"
dashmap = "6.0.1"

[target.'cfg(target_arch = "wasm32")'.dependencies]
wasm-bindgen-futures = "0.4"
gloo-net = "0.5.0"

[profile.release]
debug = true
lto = "fat"
codegen-units = 1

[profile.webrelease]
inherits = "release"
opt-level = "s"
